PUT
Upsert webhook OAuth config
Creates or updates the OAuth 2.0 client credentials configuration for a webhook. The client secret is encrypted at rest using KMS when the oauth-kms-enabled feature flag is active.
Path Params
-
webhookIdstring requiredThe unique identifier of the webhook to configure OAuth for
Body Params
object
-
tokenUrlstring required -
clientIdstring required -
clientSecretstring required -
scopestring required
Responses
200
OAuth config upserted successfully
Response Body
object
-
webhookIdstring required -
tokenUrlstring required -
clientIdstring required -
scopestring required -
createdAtstring date-time required -
updatedAtstring date-time required
400
Invalid request parameters
Response Body
object
Bad request error response
-
namestring enum requiredError codeValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code400
403
Access denied
Response Body
object
Forbidden error response
-
namestring enum requiredError codeAccessDenied -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code403
500
Unexpected error occurred
Response Body
object
Internal server error response
-
namestring enum requiredError codeUnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code500